Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports System.IO
<DefaultClassOptions()> _
<NavigationItem("FinancialTransactions")> _
Public Class ProjectPlan
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom
    Private _ShortName As String 'Megnevezés
    Private _IsEditable As Boolean 'Szerkeszthető vagy végleges
    Private _ExcelProperty As Stream
    Private _DateFrom As Date 'Kezdő dátumtum
    Private _DateTo As Date 'Vég dátum

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property IsEditable As Boolean
        Get
            Return _IsEditable
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("IsEditable", _IsEditable, value)
        End Set
    End Property
    Property DateFrom As Date
        Get
            Return _DateFrom
        End Get
        Set(value As Date)
            SetPropertyValue("DateFrom", _DateFrom, value)
        End Set
    End Property
    Property DateTo As Date
        Get
            Return _DateTo
        End Get
        Set(value As Date)
            SetPropertyValue("DateTo", _DateTo, value)
        End Set
    End Property

    <VisibleInListView(False)> _
    <Association("ProjectPlan-ProjectPlanRows", GetType(ProjectPlanRows))> _
    ReadOnly Property ProjectPlanRows As XPCollection(Of ProjectPlanRows)
        Get
            Return GetCollection(Of ProjectPlanRows)("ProjectPlanRows")
        End Get
    End Property
    <Size(-1)> _
    Property ExcelProperty As Stream
        Get
            Return _ExcelProperty
        End Get
        Set(ByVal value As Stream)
            SetPropertyValue("ExcelProperty", _ExcelProperty, value)
        End Set
    End Property
End Class

